BOOT(8) | System Manager's Manual (MVME68k) | BOOT(8)

# NAME

boot — system bootstrapping procedures

# DESCRIPTION

## Power fail and crash recovery

Normally, the system will reboot itself at power-up or after crashes. An automatic consistency check of the file systems will be performed as described in fsck(8). and unless this fails, the system will resume multi-user operations.

## Cold starts from disk

The disk-boot program (/usr/mdec/bootsd) will attempt to load netbsd from partition A of the boot device, which must currently be an “sd” disk.

## Cold starts from tape

The tape-boot program (/usr/mdec/bootst) will attempt to load netbsd from a SCSI tape drive.

## Cold starts over a network

The network boot program (/usr/mdec/netboot) will load netbsd from the NFS root as determined by the procedure described in diskless(8). Note that the MVME147 is unable to boot directly from the network without the help of a small bootloader program (/usr/mdec/sboot).

## Boot program options

-a
  Prompt for the root file system device, the system crash dump device, and the path to init(8).
-d
  Bring the system up in debug mode. Here it waits for a kernel debugger connect; see ddb(4).
-q
  Boot the system in quiet mode.
-s
  Bring the system up in single-user mode.
-v
  Boot the system in verbose mode.

Any extra flags or arguments, or the <boot string> after the -- separator are passed to the boot PROM. Other flags are currently ignored.

At any time you can break to the kernel debugger ddb(4) (assuming options DDB was specified in the kernel configuration file) by sending a serial line BREAK character. If you do this accidentally you can continue whatever was in progress by typing ‘c' followed by the return key.

# FILES

/netbsd
  system code
/usr/mdec/bootxx
  first-level boot block for disks
/usr/mdec/stboot
  first-level boot block for tapes
/usr/mdec/bootsd
  second-level boot block for UFS disks
/usr/mdec/bootst
  second-level boot block for tapes
/usr/mdec/netboot
  boot program for NFS (diskless) boot
/usr/mdec/sboot
  network bootstrap program for MVME147
/usr/mdec/installboot
  program to install bootxx on a disk

# SEE ALSO

disklabel(8), fsck(8), halt(8), init(8), rc(8), shutdown(8), syslogd(8)

April 8, 2003 | NetBSD 6.0